#### Previous topic

scipy.stats.mstats.ttest_rel

#### Next topic

scipy.stats.mstats.variation

# scipy.stats.mstats.tvar

`scipy.stats.mstats.``tvar`(a, limits=None, inclusive=(True, True), axis=0, ddof=1)

  Compute the trimmed variance

  This function computes the sample variance of an array of values, while ignoring values which are outside of given limits.

  Parameters:

  a : array_like

  > Array of values.

  limits : None or (lower limit, upper limit), optional

  > Values in the input array less than the lower limit or greater than the upper limit will be ignored. When limits is None, then all values are used. Either of the limit values in the tuple can also be None representing a half-open interval. The default value is None.

  inclusive : (bool, bool), optional

  > A tuple consisting of the (lower flag, upper flag). These flags determine whether values exactly equal to the lower or upper limits are included. The default value is (True, True).

  axis : int or None, optional

  > Axis along which to operate. If None, compute over the whole array. Default is zero.

  ddof : int, optional

  > Delta degrees of freedom. Default is 1.

  Returns:

  tvar : float

  > Trimmed variance.

  Notes

  For more details on `tvar`, see stats.tvar.